/* == Support == */

$legacy-support-for-ie8: true;

/* == Variables == */

// ---------------------------------------------------------------------
// Colors
$neutral-0:			#000;
$neutral-1:			#dfe1e6; /* fond, vagues */
$neutral-2:			#cecfe2; /* fond violet clair */
$neutral-3:			#F4F5F6; /* fonds très clairs */
$neutral-4:			#e9ebee; /* gris clair de bordure */
$neutral-F:			#FFF;

$primary:			#4e4a62; /* violet FOGA */
$primary-cpl:		#47435c; /* bandeaux */
$primary-stg:		#342E62; /* bandeaux - top bar*/
$secondary:			#2e9ff0; /* bleu vif */
$secondary-cpl:		#79d3ed; /* bleu clair */
$tertiary:			#ffe51f; /* jaune */
$dropcap:			#a18572; /* Lettrine */
$dropcap-bg:		#E8E0DC; /* Lettrine */


// Body et bg colors
$bg-body:			$neutral-F;
$bg-light:			$neutral-2;
$bg-light-8:		lighten($neutral-2,8%);
$bg-light-20:		lighten($neutral-2,20%);
$bg-form:			$neutral-3;
$bg-primary:		$primary;
$bg-topbar:			$primary-stg;
$bg-secondary:		$secondary;
$bg-secondary-cpl:	$secondary-cpl;
$bg-tertiary:		$tertiary;
$bg-dark:			darken($bg-primary, 20%);

// Typo colors
$color-global:		$neutral-0;
$color-secondary:	$secondary;
$color-tertiary:	$tertiary;
$color-grey:		lighten($primary-cpl, 15%);
$color-light:		$neutral-F;
$color-accent:		$color-global;
$color-link:		$color-accent;

// MISC
$bg-border:			$neutral-4;
$bg-border-link:	$secondary-cpl;
$bg-outline:		$neutral-2;




// ---------------------------------------------------------------------
// Typo
$font-family:       "Work Sans", Helvetica, Arial, sans-serif;
$font-family-2:     "Roboto Condensed", Helvetica, Arial, sans-serif;
$font-headings:     "Libre Baskerville", Helvetica, Arial, sans-serif;
$font-icons:        "FontAwesome";


// ---------------------------------------------------------------------------
// Columns
$margin:        2.564102564102564%;
$one-half:      48.71794871794871%;
$one-third:     31.62393162393162%;
$one-fifth:     17.94871794871794%;
$one-fourth:    23.07692307692307%;
$one-sixth:     14.52991452991453%;
$one-seventh:   12.08791208791208%;
$one-eighth:    10.25641025641025%;
$one-ninth:     8.831908831908832%;
$two-thirds:    65.81196581196582%;
$two-fourths:   48.71794871794871%;
$two-fifths:    38.46153846153846%;
$two-sixths:    31.62393162393162%;
$three-fourths: 74.35897435897436%;
$three-fifths:  58.97435897435897%;
$three-sixths:  48.71794871794871%;
$four-fifths:   79.48717948717948%;
$four-sixths:   65.81196581196582%;
$five-sixths:   82.90598290598291%;


// variables de depart
$spacing-unit: 	16px;


// ---------------------------------------------------------------------------
// Max-width
$maxwidth-xs: 660px;
$maxwidth-sm: 920px;
$maxwidth-md: 1080px;
$maxwidth-lg: 1280px;
$maxwidth-xl: 1600px;


// Mixins

// Links
@mixin yellow-line {
	position: absolute;
	content: "";
	display: block;
	background-color: $bg-tertiary;
}

// Yellow bar
@mixin content-links {
	box-shadow: inset 0 -3px 0 0 lighten($bg-secondary-cpl,20%);
	border-bottom: 1px solid $bg-secondary-cpl;
	font-weight: 500;

	&:hover,
	&:focus {
		border-color: darken($bg-tertiary, 20%);
		box-shadow: inset 0 -30px 0 0 lighten($bg-tertiary, 20%);
	}
}

// Margins
@mixin margins {
	margin-left: auto;
	margin-right: auto;
}


// Breakpoints - 1280px référence lg pour taille ordis client
$breakpoints: (
	xxs:    384px,
	xs:     600px,
	sm:     768px,
	md:     1080px,
	lg:     1280px,
	xl:     1600px
);

// Media queries.
@mixin breakpoint( $breakpoint ) {

	@if map-has-key($breakpoints, $breakpoint) {

		@media (min-width: #{ map-get($breakpoints, $breakpoint) }) {
			@content;
		}

	} @else if type_of( $breakpoint ) == number and unit( $breakpoint ) == px or unit( $breakpoint ) == em or unit( $breakpoint ) == rem {

		@media (min-width: $breakpoint) {
			@content;
		}

	} @else {
		@warn "No value could be retrieved from `#{$breakpoint}`. "
			+ "Please make sure it is defined in `$breakpoints` map, or it is a valid number with supported unit of px, em or rem.";
	}
}

// BOX SHADOW
@mixin box-shadow-sm {
	box-shadow: 0 0 6px $bg-dark;
}
@mixin box-shadow-md {
	box-shadow: 0 0 16px $bg-dark;
}
@mixin box-shadow-lg {
	box-shadow: 0 0 24px $bg-dark;
}

// Clearfix.
@mixin clearfix {
	clear: both;

	&:before,
	&:after {
		display: block;
		clear: both;
		content: "";
	}
}

// Flexfix.
@mixin flexfix {

	&:before,
	&:after {
		display: none;
	}
}

// Screen reader text.
@mixin screen-reader-text {
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
	position: absolute !important;
	width: 0.1rem;
	height: 0.1rem;
	border: 0;
	background-color: $neutral-F;
}

// Transitions.
@mixin transition {
	-webkit-transition: all 0.3s ease-out;
	-moz-transition: all 0.3s ease-out;
	-o-transition: all 0.3s ease-out;
	transition: all 0.3s ease-out;
}